//インポート
import gameCanvasUtil.*;
import debugger.*;

/** ゲームクラス。
 *
 * 学生が編集すべきソースコードです。
 */
public class game extends gameBase
{
    /********* 変数定義はこちらに *********/
    // 型 変数名;　の順に書いて定義する
    int value;

    /********* 初期化の手順はこちらに *********/
    public void initGame()
    {
        value = 0;
    }

    /********* 物体の移動等の更新処理はこちらに *********/
    public void updateGame()
    {
        value = square(7);
    }

    /********* 画像の描画はこちらに *********/
    public void drawGame()
    {
        // 画面をクリア
        gc.clearScreen();

        // value を描画
        gc.drawString("value : " + value);
    }

    /********* 終了時の処理はこちらに *********/
    public void finalGame() {}


    // 引数に渡した数値を2乗して返す関数を定義
    int square(int n)
    {
        return n * n;
    }
}
